
QGIS Application - Bug report #15160

Digitizing: "Simplify Feature" should not open a dialog when no feature is clicked

2016-06-28 11:47 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Martin Dobias

Category: Digitising

Affected QGIS version:2.14.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23099

Description

With the "Simplify Feature" tool in "Advanced digitizing" toolbar, if you click some place where there's no feature, instead of opening an

useless dialog, a message should pop-up and advise to click on a feature (as done e.g. for node tool).

Associated revisions

Revision 51c6d8af - 2016-06-29 08:19 PM - Martin Dobias

Add notification in case a map tool does notthing (fixes #15160)

History

#1 - 2016-06-29 08:41 AM - Martin Dobias

- Assignee set to Martin Dobias

#2 - 2016-06-29 11:21 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"51c6d8af5cab67482b46ef4b624ae3c182a1bb68".
